#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-echo/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: echo
version: 0.1.3
id: echo-0.1.3-G7cuM0pWhoYJlNCMI5dtUe
key: echo-0.1.3-G7cuM0pWhoYJlNCMI5dtUe
license: BSD-3-Clause
copyright: (C) 2016-2017 Ryan Scott
maintainer: Ryan Scott <ryan.gl.scott@gmail.com>
author: Ryan Scott
stability: Provisional
homepage: https://github.com/RyanGlScott/echo
synopsis: A cross-platform, cross-console way to handle echoing terminal input
description:
    The @base@ library exposes the @hGetEcho@ and @hSetEcho@ functions
    for querying and setting echo status, but unfortunately, neither
    function works with MinTTY consoles on Windows. This is a serious
    issue, since @hGetEcho@ and @hSetEcho@ are often used to disable
    input echoing when a program prompts for a password, so many
    programs will reveal your password as you type it on MinTTY!
    .
    This library provides an alternative interface which works
    with both MinTTY and other consoles. An example is included
    which demonstrates how one might prompt for a password using
    this library. To build it, make sure to configure with the
    @-fexample@ flag.
category: System
abi: c8b0fd88e81f9512da0fabd7228decaa
exposed: True
exposed-modules:
    System.IO.Echo System.IO.Echo.Internal
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/echo-0.1.3
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/echo-0.1.3
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/echo-0.1.3
hs-libraries: HSecho-0.1.3-G7cuM0pWhoYJlNCMI5dtUe
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 process-1.6.3.0
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             process-1.6.3.0=024db0c305a06746a670cbf9b92583e2
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/echo-0.1.3/html/echo.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/echo-0.1.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

